### Enumeration

# Gdk AxisFlags

#### Declaration

    flags Gdk.AxisFlags

#### Description [src]

Flags describing the current capabilities of a device/tool.

#### Members

`GDK_AXIS_FLAG_X`

  X axis is present.

  - Value: `2`
  - Nickname: `x`
  - Available since: 4.0
`GDK_AXIS_FLAG_Y`

  Y axis is present.

  - Value: `4`
  - Nickname: `y`
  - Available since: 4.0
`GDK_AXIS_FLAG_DELTA_X`

  Scroll X delta axis is present.

  - Value: `8`
  - Nickname: `delta-x`
  - Available since: 4.0
`GDK_AXIS_FLAG_DELTA_Y`

  Scroll Y delta axis is present.

  - Value: `16`
  - Nickname: `delta-y`
  - Available since: 4.0
`GDK_AXIS_FLAG_PRESSURE`

  Pressure axis is present.

  - Value: `32`
  - Nickname: `pressure`
  - Available since: 4.0
`GDK_AXIS_FLAG_XTILT`

  X tilt axis is present.

  - Value: `64`
  - Nickname: `xtilt`
  - Available since: 4.0
`GDK_AXIS_FLAG_YTILT`

  Y tilt axis is present.

  - Value: `128`
  - Nickname: `ytilt`
  - Available since: 4.0
`GDK_AXIS_FLAG_WHEEL`

  Wheel axis is present.

  - Value: `256`
  - Nickname: `wheel`
  - Available since: 4.0
`GDK_AXIS_FLAG_DISTANCE`

  Distance axis is present.

  - Value: `512`
  - Nickname: `distance`
  - Available since: 4.0
`GDK_AXIS_FLAG_ROTATION`

  Z-axis rotation is present.

  - Value: `1024`
  - Nickname: `rotation`
  - Available since: 4.0
`GDK_AXIS_FLAG_SLIDER`

  Slider axis is present.

  - Value: `2048`
  - Nickname: `slider`
  - Available since: 4.0